# Documentation

Menu

## ModuleRegisterCommand extends ModuleBaseCommand
in package

ModuleRegisterCommand.php : 21

Danerys command to register and initiate any newly installed modules.

### Table of Contents

$game : Game
$namespace : string|null
__construct() : mixed
  Construct the command, using the provided Game.
getCliLogger() : Logger
  Returns a cloned logger with a different context name.
configure() : mixed
execute() : int
getModuleModel() : Module|null
getModuleNameArgumentDefinition() : InputArgument
getModuleRepository() : ObjectRepository
namespaced() : string
registerModule() : bool
  Register a given package as a module if it is of type lotdg-module. Resolves dependencies and skips already registered packages.

### Properties

#### $game

BaseCommand.php : 15
`protected Game $game`

#### $namespace

BaseCommand.php : 16
`protected string|null $namespace = null`

### Methods

#### __construct()

BaseCommand.php : 22

Construct the command, using the provided Game.

`public __construct(Game $game) : mixed`

##### Parameters

$game : Game

##### Return values

mixed —

#### getCliLogger()

BaseCommand.php : 32

Returns a cloned logger with a different context name.

`public getCliLogger() : Logger`

##### Return values

Logger —

#### configure()

ModuleRegisterCommand.php : 26
`protected configure() : mixed`

##### Tags

inheritDoc

##### Return values

mixed —

#### execute()

ModuleRegisterCommand.php : 36
`protected execute(InputInterface $input, OutputInterface $output) : int`

##### Parameters

$input : InputInterface
$output : OutputInterface

##### Tags

inheritDoc

##### Return values

int —

#### getModuleModel()

ModuleBaseCommand.php : 33
`protected getModuleModel(InputInterface $input) : Module|null`

##### Parameters

$input : InputInterface

##### Return values

Module|null —

#### getModuleNameArgumentDefinition()

ModuleBaseCommand.php : 19
`protected getModuleNameArgumentDefinition() : InputArgument`

##### Return values

InputArgument —

#### getModuleRepository()

ModuleBaseCommand.php : 28
`protected getModuleRepository() : ObjectRepository`

##### Return values

ObjectRepository —

#### namespaced()

BaseCommand.php : 37
`protected namespaced(string $command) : string`

##### Parameters

$command : string

##### Return values

string —

#### registerModule()

ModuleRegisterCommand.php : 67

Register a given package as a module if it is of type lotdg-module. Resolves dependencies and skips already registered packages.

`protected registerModule(string $packageName, SymfonyStyle $io, array<string|int, mixed> &$registered) : bool`

##### Parameters

$packageName : string
$io : SymfonyStyle
$registered : array<string|int, mixed>

##### Tags

throws
  InvalidConfigurationException
throws
  WrongTypeException
throws
  Exception

##### Return values

bool —

True if registering was flawless

## Search results